Subject: [PATCH v3 0/9] Tegra xHCI support

From: [email-masked] (Tomeu Vizoso)
Date: Wed, 10 Sep 2014 12:24:53 +0200

On 09/09/2014 07:09 PM, Andrew Bresticker wrote:
> On Tue, Sep 9, 2014 at 1:21 AM, Tomeu Vizoso <[email-masked]> wrote:
>> On 8 September 2014 18:22, Andrew Bresticker <[email-masked]> wrote:
>>> On Mon, Sep 8, 2014 at 8:34 AM, Tomeu Vizoso <[email-masked]> wrote:
>>>> On 2 September 2014 23:34, Andrew Bresticker <[email-masked]> wrote:
>>>>>
>>>>> Tested on Venice2, Jetson TK1, and Big with a variety of USB2.0 and
>>>>> USB3.0 memory sticks and ethernet dongles using controller firmware
>>>>> recently posted by Andrew Chew [2].
>>>>
>>>> I have had mixed results when testing this on a Jetson TK1 board. Of 8
>>>> USB devices I tested with, about half where probed correctly, but the
>>>> other half repeatedly fail in hub_port_init because in the GET_STATUS
>>>> right after the reset, the C_PORT_CONNECTION bit is set.
>>>>
>>>> I don't see any correlation between the failure and the kind of usb
>>>> device, but I don't have much experience with USB implementations
>>>> either.
>>>
>>> Hmm... I haven't seen that before.  Which particular devices were you using?
>>
>> Here they are:
>>
>> work:
>>
>> Genius keyboard: 05d5:6782
>> Logitech mouse: 046d:c06a
>> Denver MP3 player: 10d6:1100
>> Atheros Bluetooth dongle: 0cf3:3005
>>
>> don't work:
>>
>> MCS7830 ethernet dongle: 9710:7830
>> Genesys Logic hub: 05e3:0608
>> Alcor flash drive: 058f:6387
>> JMicron SATA bridge: 152d:2329
> 
> I have the same SATA bridge and it is enumerating fine for me, but
> I've ordered the hub as well and will check that out.
> 
> Did you have any other patches applied when testing these?

Here is the branch, including the .config I used:

http://cgit.collabora.com/git/user/tomeu/linux.git/log/?h=3.17rc4-xhci

> Were you
> using either SATA or PCIe at the same time?

Nope, haven't even tried those yet.

> Just trying to figure out
> if there's anything else different between our setups.

Yeah, I'm afraid I don't have any good suggestion to make. But maybe you
will find some error on my part in how I have applied the patches or in
the config.

Regards,

Tomeu

> --
> To unsubscribe from this list: send the line "unsubscribe linux-tegra" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>